## gcc-14 14.2.0

=== debian/changelog ===
gcc-14 (14.2.0-8ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Nov 2024 15:15:23 +0100

gcc-14 (14.2.0-8) unstable; urgency=medium

  * Update to git 20241102 from the gcc-14 branch.
    Fix PR target/114759 (PPC), PR jit/117275,
    PR rtl-optimization/116783 (closes: #1080974), PR target/117318 (x86),
    PR rtl-optimization/117327, PR target/116415 (PPC),
    PR middle-end/117249, PR sanitizer/117209, PR target/116953 (AVR),
    PR target/117240 (x86), PR middle-end/116891, PR middle-end/116891,
    PR tree-optimization/117104, PR tree-optimization/116982,
    PR tree-optimization/116907, PR tree-optimization/116481,
    PR tree-optimization/116290, PR middle-end/115110, PR target/117159 (x86),
    PR ada/116551, PR c/117230, PR c++/117259, PR c++/117107, PR c++/92687,
    PR c++/116929, PR fortran/84868, PR fortran/79685.
  * Re-enable rs on hurd-i386 and hurd-amd64 (Samuel Thibault).
    Closes: #1086120.
  * Add go support for hurd-amd64 (Samuel Thibault). Closes: #1086475.
  * Remove hurd-alpha references.
  * Disable the rust frontend on x32 temporarily (Adrian Glaubitz).
    Closes: #1086022.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Nov 2024 14:48:28 +0100

gcc-14 (14.2.0-7ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2024 11:46:01 +0200

gcc-14 (14.2.0-7) unstable; urgency=medium

  * Update to git 20241019 from the gcc-14 branch.
    - Fix PR ipa/115815, PR target/116883 (RISCV), PR c++/116534,
      PR target/117116 (x86), PR ipa/109985, PR testsuite/116238 (AArch64),
      PR tree-optimization/117041, PR middle-end/117086,
      PR tree-optimization/116990, PR tree-optimization/116879,
      PR tree-optimization/116850, PR tree-optimization/116768,
      PR tree-optimization/116166, PR target/116921 (x86),
      PR middle-end/116899, PR middle-end/116898, PR target/116627,
      PR target/116738 (x86), PR ada/114593, PR ada/115535, PR ada/114640,
      PR ada/114636, PR c++/117054, PR c++/116476, PR c++/116424, PR c++/116678,
      PR libstdc++/90276, PR libstdc++/117085, PR libstdc++/117135,
      PR libstdc++/117094.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Oct 2024 09:24:57 +0200

gcc-14 (14.2.0-6) unstable; urgency=medium

  * Update to git 20241005 from the gcc-14 branch.
    - PR target/116962 (x86), PR target/116953 (AVR),
      PR tree-optimization/116585, PR target/116839 (x86),
      PR target/115860 (S390), PR target/116237 (darwin),
      PR tree-optimization/116460, PR middle-end/115426,
      PR tree-optimization/116610, PR middle-end/116454,
      PR tree-optimization/116380, PR tree-optimization/116274,
      PR tree-optimization/116258, PR middle-end/115641, PR target/116621 (x86),
      PR ada/116430, PR c++/115361, PR c++/115987, PR c++/116418,
      PR c++/116492, PR c++/116676, PR fortran/100273, PR c++/116369,
      PR libstdc++/116857, PR libstdc++/37475, PR libstdc++/90276,
      PR libstdc++/116755, PR libstdc++/116529, PR libstdc++/116754,
      PR libstdc++/116777, PR libstdc++/108619.
  * Reapply the sparc64 bits to the gcc-as-needed patch. Closes: #1082624,

 -- Matthias Klose <doko@debian.org>  Sat, 05 Oct 2024 05:46:25 +0200

gcc-14 (14.2.0-5) unstable; urgency=medium

  * Update to git 20240915 from the gcc-14 branch.
    - Fix PR ipa/116410, PR tree-optimization/116501, PR c++/116219,
      PR target/112108 (AArch64), PR target/116512 (x86), PR c++/116567,
      PR c++/116606, PR fortran/116530, PR libstdc++/113663,
      PR libstdc++/116549, PR libstdc++/116381, PR lto/116361,
      PR target/116617 (x86), PR c++/96097, PR c++/116636, PR c++/116449,
      PR c++/116320, PR c++/116276, PR lto/116614, PR libstdc++/116159,
      PR libstdc++/116641.
  * Don't run the tests on the riscv64 buildds, timing out.
  * For offloading, require the amdgcn tools based on LLVM 19.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Sep 2024 10:44:10 +0200

gcc-14 (14.2.0-4ubuntu2) oracular; urgency=medium

  * Update to git 20240908 from the gcc-14 branch.
    - Fix PR ipa/116410, PR tree-optimization/116501, PR c++/116219,
      PR target/112108 (AArch64), PR target/116512 (x86), PR c++/116567,
      PR c++/116606, PR fortran/116530, PR libstdc++/113663,
      PR libstdc++/116549, PR libstdc++/116381, PR lto/116361.
  * Build again gccrs on Ubuntu/i386.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Sep 2024 17:50:09 +0200

gcc-14 (14.2.0-4ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Aug 2024 12:23:25 +0200

gcc-14 (14.2.0-4) unstable; urgency=medium

  * Update to git 20240829 from the gcc-14 branch.
    - Fix PR target/116390 (AVR), PR target/116407 (AVR),
      PR c++/116384 (closes: #1078786).
  * Disable running the tests on alpha and arm64, hanging on the buildds.
  * gcc/configure.ac enables some features based on the binutils version. The
    most recently checked binutils version is 2.36 for GCC 14.  For now it is
    safe to derive the binutils runtime dependency from the binutils build
    dependency.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Aug 2024 12:17:39 +0200

gcc-14 (14.2.0-3ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Aug 2024 19:13:32 +0200

gcc-14 (14.2.0-3) unstable; urgency=medium

  * Update to git 20240817 from the gcc-14 branch.
    - Fix PR target/85624 (AVR), PR target/115464 (AArch64),
      PR target/116174 (x86), PR c++/116327, PR c++/104981, PR c++/115550.
    - s390: Fix high-level builtins vec_gfmsum{,_accum}_128. LP: #2075567.
  * Don't build gccrs on the Hurd.
  * Disable building gnat on hurd-amd64, until it gets bootstrapped.
  * Don't run dwz on hurd-*.

