## gcc-14 14.3.0

=== debian/changelog ===
gcc-14 (14.3.0-10) unstable; urgency=medium

  * Also exclude python3-check-jsonschema build dependency for x32.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Oct 2025 11:49:18 +0200

gcc-14 (14.3.0-9) unstable; urgency=medium

  * Update to git 20251022 from the gcc-14 branch.
    - Fix PR target/121599 (AArch64), PR other/118919, PR go/104290,
      PR tree-optimization/122104, PR c++/121977, PR middle-end/121828,
      PR middle-end/121453, PR tree-optimization/121870,
      PR tree-optimization/121370, PR tree-optimization/121256,
      PR tree-optimization/121059, PR tree-optimization/120944,
      PR tree-optimization/120817, PR tree-optimization/120654,
      PR tree-optimization/120358, PR tree-optimization/120357,
      PR target/122187 (AVR), PR tree-optimization/121772,
      PR target/118280 (microblaze), PR target/121749 (AArch64),
      PR ada/107536, PR ada/113536, PR analyzer/118300, PR c/122188,
      PR c/122188, PR c++/120757, PR c++/121981, PR c++/121801,
      PR fortran/121263, PR fortran/89092, PR fortran/121145,
      PR libstdc++/122322, PR libstdc++/121827, PR libstdc++/122168,
      PR libstdc++/117276.
  * Add build dependency on python3-check-jsonschema, needed for some tests.
  * Limit python3-check-jsonschema dependency to architectures which
    have rustc available. Addresses: #1118541.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Oct 2025 09:42:40 +0200

gcc-14 (14.3.0-8) unstable; urgency=medium

  * Update to git 20250911 from the gcc-14 branch.
    - Fix PR target/81540 (AVR), PR target/49857 (AVR), PR libstdc++/120698.
  * Build again using GCC 14 (GCC 13 on m68k).
  * Re-enable running the testsuite.
  * libstdc++-dev: Fix dependency on libc, when libstdc++ is not built.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Sep 2025 13:25:17 +0200

gcc-14 (14.3.0-7) unstable; urgency=medium

  * Update to git 20250908 from the gcc-14 branch.
    - Fix PR libstdc++/110853, PR libstdc++/121745, PR libstdc++/121496,
      PR libstdc++/121374, PR libstdc++/121097.
    - Includes libgphobos build fixes for ppc64el and sparc64.
  * Disable sframe generation for now, until sframe-v3 (binutils 2.46) is
    released.
  * Build libgphobos on sparc64.
  * Disable LTO builds for Debian/riscv64, builders are very slow.

 -- Matthias Klose <doko@debian.org>  Mon, 08 Sep 2025 10:11:47 +0200

gcc-14 (14.3.0-6) unstable; urgency=medium

  * Update to git 20250829 from the gcc-14 branch.
    - Fix PR tree-optimization/119085, PR tree-optimization/117423,
      PR target/121608 (AVR), PR target/121118 (AArch64),
      PR rtl-optimization/121253, PR target/121449 (AArch64),
      PR target/121542 (loongarch), PR target/121414 (AArch64),
      PR target/121294 (AArch64), PR target/121294 (AArch64),
      PR target/121208 (AArch64), PR target/120476 (loongarch),
      PR fortran/121145, PR fortran/120784.
  * Configure for the build variant on Ubuntu.
  * Enable sframe generation with binutils 2.45 on amd64 and arm64 (pass
    -Wa,--gsframe=no to disable). Enabled unless one of the options -m16,
    -m32, -mx32 or -ffreestanding is used.
  * Add three patches for newlib amdgcn:
    - Fix GCN SIMD libm bug, taken from newlib upstream.
    - amdgcn, libm: Fix infinite loop.
    - amdgcn, libm: Fix vector ilogb bugs (bug 33272).
  * Build full libgphobos on ppc64el for IEEE long double.
  * Build using GCC 13 for the libgphobos bootstrap.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Sep 2025 20:31:07 +0200

gcc-14 (14.3.0-5) unstable; urgency=medium

  * Update to git 20250810 from the gcc-14 branch.
    - Fix PR target/121028 (AArch64), PR target/120427 (x86),
      PR target/121274 (x86), PR target/120427 (x86),
      PR target/121064 (loongarch), PR c++/120800, PR tree-optimization/121413,
      PR tree-optimization/121127, PR middle-end/121322, PR c/120837,
      PR c++/120620.
  * Only apply the patch for #1108322 for 32bit big-endian targets.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Aug 2025 11:43:37 +0200

gcc-14 (14.3.0-4) experimental; urgency=medium

  * Update to git 20250728 from the gcc-14 branch.
    - Fix PR target/121027 (AArch64), PR target/118891 (AArch64),
      PR tree-optimization/118891, PR tree-optimization/121131,
      PR target/120908 (x86), PR target/120624 (AArch64),
      PR tree-optimization/116674, PR middle-end/120631, PR middle-end/117811,
      PR tree-optimization/120638, PR middle-end/120547, PR c++/120577,
      PR c++/120940, PR c++/120471, PR fortran/121060, PR libstdc++/120548,
      PR libstdc++/99832.
  * Fix broken ada timespec record with -D_TIME_BITS=64 on 32-bit big-endian
    targets (John David Anglin). Closes: #1108322.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jul 2025 17:42:09 +0200

gcc-14 (14.3.0-3) experimental; urgency=medium

  * Fix applying the gcc-m68k-no-fold-mem-offsets patches.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Jun 2025 15:54:41 +0200

gcc-14 (14.3.0-2) experimental; urgency=medium

  * Update to git 20250609 from the gcc-14 branch.
    - Fix PR target/119834 (S390), PR middle-end/118819,
      PR rtl-optimization/117239, PR rtl-optimization/117239,
      PR tree-optimization/117358, PR target/86772 (microblaze),
      PR c++/120123, PR c++/120161, PR fortran/85750, PR fortran/98454,
      PR target/120441 (AVR).
  * Don't default to -ffold-mem-offsets on m68k (Adrian Glaubitz).
    Closes: #1107416.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Jun 2025 10:59:15 +0200

gcc-14 (14.3.0-1) experimental; urgency=medium

  * GCC 14.3.0 release.
    - Fix PR tree-optimization/111873.
    - See also C++20 iterator support in std::vector,
      https://gcc.gnu.org/gcc-14/porting_to.html#cxx20-iterators
      https://gcc.gnu.org/gcc-15/porting_to.html#cxx20-iterators
  * Update newlib to 4.5.0.20241231.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Fri, 23 May 2025 15:44:46 +0200

gcc-14 (14.2.0-25) experimental; urgency=medium


