=== debian/control ===
Source: gcc-14
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>,
  libc6.1-dev (>= 2.23-1~) [alpha ia64] | libc0.3-dev (>= 2.23-1~) [hurd-amd64 hurd-i386] | libc6-dev (>= 2.23-1~), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], lib32gcc-s1 [amd64 ppc64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-amd64 hurd-i386] | libc6-dbg,
  linux-libc-dev [m68k],
  m4, libtool, autoconf2.69, gcc-15-base,
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64],
  gawk, lzma, xz-utils, patchutils,
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any],
  binutils:native (>= 2.39), binutils-hppa64-linux-gnu:native (>= 2.39) [hppa amd64 i386 x32],
  gperf, bison, flex,
  gettext, nvptx-tools [amd64 arm64 ppc64el], amdgcn-tools-19 [amd64],
  texinfo, locales-all, sharutils,
  procps, gnat-14:native [!arc !ia64 !sh3 !sh3eb !sh4eb !m68k], g++-14:native [!m68k], gnat-13:native [m68k], g++-13:native [m68k], netbase, gdc-14:native [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386], python3:any, cargo [!alpha !hppa !ia64 !m68k !sh4 !x32],
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64], lib64z1-dev [i386], unzip <!nocheck>,
  dejagnu  [!alpha !riscv64 !hurd-amd64 !hurd-i386] <!nocheck>, git  [!alpha !riscv64 !hurd-amd64 !hurd-i386] <!nocheck>, python3-pytest [!alpha !hppa !m68k !sh4 !x32] <!nocheck>, python3-check-jsonschema [!alpha !hppa !m68k !sh4 !x32] <!nocheck>, coreutils, chrpath, lsb-release, quilt, time,
  pkgconf, libgc-dev,
  g++-14-for-host <cross>, gobjc-14-for-host [!avr] <cross>, gfortran-14-for-host <cross>, gdc-14-for-host [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386] <cross>, gccgo-14-for-host [!arc !avr !hppa !loong64 !m68k !sh4] <cross>, gnat-14-for-host [!arc !ia64 !sh3 !sh3eb !sh4eb] <cross>, gm2-14-for-host [!powerpc !ppc64 !sh4] <cross>,
Build-Depends-Indep: doxygen <!nodoc>, graphviz <!nodoc>, ghostscript <!nodoc>, texlive-latex-base <!nodoc>, xsltproc <!nodoc>, libxml2-utils <!nodoc>, docbook-xsl-ns <!nodoc>,
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc/tree/gcc-14-debian
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git -b gcc-14-debian
XS-Testsuite: autopkgtest
Rules-Requires-Root: binary-targets

Package: gcc-14-base
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}
Replaces: ${base:Replaces}
Breaks: ${base:Breaks}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-14-dev
X-DH-Build-For-Type: target
Architecture: any
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-14-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm},
 ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan},
 ${dep:libtsan}, ${dep:libubsan}, ${dep:libhwasan}, ${dep:libvtv},
 ${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Breaks: libtsan2 (<< 12-20211113-2~)
Replaces: libtsan2 (<< 12-20211113-2~)
Multi-Arch: same
Description: GCC support library (development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: lib64gcc-14-dev
X-DH-Build-For-Type: target
Architecture: i386 powerpc sparc s390 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el x32
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-14-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch},
 ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch},
 ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch},
 ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libhwasanbiarch},
 ${dep:libvtvbiarch},
 ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library (64bit development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: lib32gcc-14-dev
X-DH-Build-For-Type: target
Architecture: amd64 ppc64 s390x sparc64 x32 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-14-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch},
 ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch},
 ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch},
 ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libhwasanbiarch},
 ${dep:libvtvbiarch},
 ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library (32 bit development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libn32gcc-14-dev
X-DH-Build-For-Type: target
Architecture: mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-14-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch},
 ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch},
 ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch},
 ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libhwasanbiarch},
 ${dep:libvtvbiarch},
 ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library (n32 development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libx32gcc-14-dev
X-DH-Build-For-Type: target
Architecture: amd64 i386
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-14-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch},
 ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch},
 ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch},
 ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libhwasanbiarch},
 ${dep:libvtvbiarch},
 ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Description: GCC support library (x32 development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: gcc-14-alpha-linux-gnu
Architecture: alpha
Multi-Arch: foreign
Depends: cpp-14-alpha-linux-gnu (= ${gcc:Version}), gcc-14-base (= ${gcc:Version}),
    ${dep:libcc1},
  binutils-alpha-linux-gnu (>= ${binutils:Version}),
  ${dep:libgccdev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: gcc-14-doc (>= ${gcc:SoftVersion}),
 gcc-14-locales (>= ${gcc:SoftVersion}),
Provides: c-compiler-alpha-linux-gnu
Description: GNU C compiler for the alpha-linux-gnu architecture
 This is the GNU C compiler for the alpha-linux-gnu architecture,
 a fairly portable optimizing compiler for C.

Package: gcc-14-x86-64-linux-gnu
Architecture: amd64
Multi-Arch: foreign
Depends: cpp-14-x86-64-linux-gnu (= ${gcc:Version}), gcc-14-base (= ${gcc:Version}),
    ${dep:libcc1},
  binutils-x86-64-linux-gnu (>= ${binutils:Version}),
  ${dep:libgccdev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: gcc-14-doc (>= ${gcc:SoftVersion}),
 gcc-14-locales (>= ${gcc:SoftVersion}),
Provides: c-compiler-x86-64-linux-gnu
Description: GNU C compiler for the x86_64-linux-gnu architecture
 This is the GNU C compiler for the x86_64-linux-gnu architecture,
 a fairly portable optimizing compiler for C.

Package: gcc-14-arm-linux-gnueabi
Architecture: armel
Multi-Arch: foreign
Depends: cpp-14-arm-linux-gnueabi (= ${gcc:Version}), gcc-14-base (= ${gcc:Version}),
    ${dep:libcc1},
  binutils-arm-linux-gnueabi (>= ${binutils:Version}),
  ${dep:libgccdev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: gcc-14-doc (>= ${gcc:SoftVersion}),
 gcc-14-locales (>= ${gcc:SoftVersion}),
Provides: c-compiler-arm-linux-gnueabi
Description: GNU C compiler for the arm-linux-gnueabi architecture
 This is the GNU C compiler for the arm-linux-gnueabi architecture,
 a fairly portable optimizing compiler for C.

Package: gcc-14-arm-linux-gnueabihf
Architecture: armhf
Multi-Arch: foreign
Depends: cpp-14-arm-linux-gnueabihf (= ${gcc:Version}), gcc-14-base (= ${gcc:Version}),
    ${dep:libcc1},
  binutils-arm-linux-gnueabihf (>= ${binutils:Version}),
  ${dep:libgccdev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: gcc-14-doc (>= ${gcc:SoftVersion}),
 gcc-14-locales (>= ${gcc:SoftVersion}),
Provides: c-compiler-arm-linux-gnueabihf
Description: GNU C compiler for the arm-linux-gnueabihf architecture
 This is the GNU C compiler for the arm-linux-gnueabihf architecture,
 a fairly portable optimizing compiler for C.

Package: gcc-14-aarch64-linux-gnu
Architecture: arm64
Multi-Arch: foreign
Depends: cpp-14-aarch64-linux-gnu (= ${gcc:Version}), gcc-14-base (= ${gcc:Version}),
    ${dep:libcc1},
  binutils-aarch64-linux-gnu (>= ${binutils:Version}),
  ${dep:libgccdev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: gcc-14-doc (>= ${gcc:SoftVersion}),
 gcc-14-locales (>= ${gcc:SoftVersion}),
Provides: c-compiler-aarch64-linux-gnu
Description: GNU C compiler for the aarch64-linux-gnu architecture
 This is the GNU C compiler for the aarch64-linux-gnu architecture,
 a fairly portable optimizing compiler for C.

Package: gcc-14-i686-linux-gnu
Architecture: i386
Multi-Arch: foreign
Depends: cpp-14-i686-linux-gnu (= ${gcc:Version}), gcc-14-base (= ${gcc:Version}),
    ${dep:libcc1},
  binutils-i686-linux-gnu (>= ${binutils:Version}),
  ${dep:libgccdev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: gcc-14-doc (>= ${gcc:SoftVersion}),
 gcc-14-locales (>= ${gcc:SoftVersion}),
Provides: c-compiler-i686-linux-gnu
Description: GNU C compiler for the i686-linux-gnu architecture
 This is the GNU C compiler for the i686-linux-gnu architecture,
 a fairly portable optimizing compiler for C.

Package: gcc-14-loongarch64-linux-gnu
Architecture: loong64
Multi-Arch: foreign
Depends: cpp-14-loongarch64-linux-gnu (= ${gcc:Version}), gcc-14-base (= ${gcc:Version}),
    ${dep:libcc1},
  binutils-loongarch64-linux-gnu (>= ${binutils:Version}),
  ${dep:libgccdev}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: gcc-14-doc (>= ${gcc:SoftVersion}),
 gcc-14-locales (>= ${gcc:SoftVersion}),
Provides: c-compiler-loongarch64-linux-gnu
Description: GNU C compiler for the loongarch64-linux-gnu architecture
 This is the GNU C compiler for the loongarch64-linux-gnu architecture,
 a fairly portable optimizing compiler for C.

Package: gcc-14-mipsel-linux-gnu
Architecture: mipsel
Multi-Arch: foreign
